<img src="https://github.com/lincc-frameworks/tape/blob/main/docs/DARK_Combo_sm.png?raw=true" width="300" height="100">
<img src="https://user-images.githubusercontent.com/113376043/211332292-4705c34c-5e74-4f12-85e2-be4bacaa8700.jpg" width="300">

# LSDB

[![Template](https://img.shields.io/badge/Template-LINCC%20Frameworks%20Python%20Project%20Template-brightgreen)](https://lincc-ppt.readthedocs.io/en/latest/)

[![PyPI](https://img.shields.io/pypi/v/lsdb?color=blue&logo=pypi&logoColor=white)](https://pypi.org/project/lsdb/)
[![GitHub Workflow Status](https://img.shields.io/github/actions/workflow/status/astronomy-commons/lsdb/smoke-test.yml)](https://github.com/astronomy-commons/lsdb/actions/workflows/smoke-test.yml)
[![codecov](https://codecov.io/gh/astronomy-commons/lsdb/branch/main/graph/badge.svg)](https://codecov.io/gh/astronomy-commons/lsdb)
[![Read the Docs](https://img.shields.io/readthedocs/lsdb)](https://lsdb.readthedocs.io/)
[![benchmarks](https://img.shields.io/github/actions/workflow/status/astronomy-commons/lsdb/asv-main.yml?label=benchmarks)](https://astronomy-commons.github.io/lsdb/)

## LSDB - Large Survey DataBase

A framework to facilitate and enable spatial analysis for extremely large astronomical databases 
(i.e. querying and crossmatching O(1B) sources). This package uses dask to parallelize operations across
multiple HiPSCat partitioned surveys.

Check out our [ReadTheDocs site](https://lsdb.readthedocs.io/en/latest/)
for more information on partitioning, installation, and contributing.

See related projects:

* HiPSCat ([on GitHub](https://github.com/astronomy-commons/hipscat))
  ([on ReadTheDocs](https://hipscat.readthedocs.io/en/latest/))
* HiPSCat Import ([on GitHub](https://github.com/astronomy-commons/hipscat-import))
  ([on ReadTheDocs](https://hipscat-import.readthedocs.io/en/latest/))

## Contributing

[![GitHub issue custom search in repo](https://img.shields.io/github/issues-search/astronomy-commons/lsdb?color=purple&label=Good%20first%20issues&query=is%3Aopen%20label%3A%22good%20first%20issue%22)](https://github.com/astronomy-commons/lsdb/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22)

See the [contribution guide](https://lsdb.readthedocs.io/en/latest/overview/contributing.html)
for complete installation instructions and contribution best practices.

## Acknowledgements

LINCC Frameworks is supported by Schmidt Futures, a philanthropic initiative
founded by Eric and Wendy Schmidt, as part of the Virtual Institute of 
Astrophysics (VIA).
